
Redmine - Patch #30241

Update nokogiri gem (~> 1.10.0)

2018-12-17 23:43 - Pavel Rosický

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version: 4.0.1   

Description

passed all tests

Related issues:

Related to Redmine - Feature #30118: Ruby 2.6 support Closed

Related to Redmine - Feature #30356: Drop Ruby 2.2 support Closed

Associated revisions

Revision 17769 - 2018-12-18 06:40 - Go MAEDA

Update nokogiri gem (~> 1.9.0) (#30241).

Patch by Pavel Rosický.

Revision 17770 - 2018-12-21 03:26 - Go MAEDA

Merged r17769 from trunk to 4.0-stable (#30241).

Revision 17777 - 2019-01-08 01:12 - Go MAEDA

Update nokogiri gem (~> 1.10.0) (#30241).

Patch by Pavel Rosický.

Revision 17778 - 2019-01-08 12:18 - Go MAEDA

Use nokogiri 1.9 for Ruby 2.2 (#30241).

Revision 17779 - 2019-01-08 12:44 - Go MAEDA

Merged r17777 and r17778 from trunk to 4.0-stable (#30241).

History

#1 - 2018-12-17 23:43 - Pavel Rosický

https://github.com/sparklemotion/nokogiri/blob/master/CHANGELOG.md

#2 - 2018-12-18 01:00 - Go MAEDA

- Tracker changed from Defect to Patch

- Target version set to 4.0.1

Thank you for reporting that nokogiri 1.9.0 has been released. I am setting the target version to 4.0.1.

#3 - 2018-12-18 02:35 - Go MAEDA

- Target version changed from 4.0.1 to 3.4.8

#4 - 2018-12-18 06:40 - Go MAEDA

- Status changed from New to Resolved

#5 - 2018-12-21 03:27 - Go MAEDA

- Status changed from Resolved to Closed

- Assignee set to Go MAEDA
https://github.com/sparklemotion/nokogiri/blob/master/CHANGELOG.md


- Target version changed from 3.4.8 to 4.0.1

Committed. Thanks.

#6 - 2019-01-07 15:55 - Pavel Rosický

- Status changed from Closed to Reopened

Go MAEDA -> FYI Nokogiri 1.10.0 has been released on 2019-01-04

this version includes Ruby 2.6 support on Windows #30118

#7 - 2019-01-08 00:36 - Go MAEDA

- Related to Feature #30118: Ruby 2.6 support added

#8 - 2019-01-08 01:55 - Go MAEDA

- Related to Feature #30356: Drop Ruby 2.2 support added

#9 - 2019-01-08 02:38 - Go MAEDA

- Subject changed from Update nokogiri gem (~> 1.9.0) to Update nokogiri gem (~> 1.10.0)

Nokogiri requires Ruby >= 2.3.0 but Redmine 4.0.0 officially supports Ruby 2.2.2. I have opened #30356 to drop support for Ruby 2.2.

$ bundle update

 .

 .

 .

Bundler could not find compatible versions for gem "ruby":

  In Gemfile:

    ruby

    nokogiri (~> 1.10.0) was resolved to 1.10.0, which depends on

      ruby (>= 2.3.0)

#10 - 2019-01-08 12:47 - Go MAEDA

- Status changed from Reopened to Closed

Committed.

Uses Nokogiri 1.9 for Ruby 2.2, 1.10 for Ruby >=2.3.

Files

Gemfile.patch 416 Bytes 2018-12-17 Pavel Rosický
